@echo off
cls
if "%4"=="AUTO" echo Configuring [%3] in group [%2] on volume [%1] for Excel to Auto Launch...
if not "%4"=="AUTO" echo Configuring [%3] in group [%2] on volume [%1] for Excel...
rem
rem Map drive H: to the user's home directory.
rem
map root h:=%1%2\%3
rem
rem Create the Excel working directory in the user's home directory.
rem
md h:\excel
rem
rem Copy the default EXCEL.INI file to the user's personal Windows directory.
rem
ncopy EXCEL.INI h:\win31
rem
rem Change to the user's personal Windows directory and, using the INIEDIT
rem utility by Richard Sands, modify the user's personal WIN.INI for Excel.  If
rem the additional parameter AUTO is specified when running SETUSER it is
rem passed using %4 to INIEDIT to add EXCEL.EXE to the load= line of the
rem [windows] section.
rem
h:
cd \win31
iniedit excel.set %4
rem
rem Change back to the original drive and delete the drive mapping to drive H:
rem
f:
map del h:
